import { TypeScriptProject, TypeScriptProjectOptions } from "projen/lib/typescript";
import { GeneratedTypescriptRuntimeProject } from "../../runtime/generated-typescript-runtime-project";
export interface GeneratedTypescriptCdkInfrastructureProjectOptions extends TypeScriptProjectOptions {
    /**
     * OpenAPI spec path, relative to the project outdir
     */
    readonly specPath: string;
    /**
     * Generated typescript types project
     */
    readonly generatedTypescriptTypes: GeneratedTypescriptRuntimeProject;
    /**
     * Whether the infrastructure and client projects are parented by an nx-monorepo or not
     */
    readonly isWithinMonorepo?: boolean;
}
export declare class GeneratedTypescriptCdkInfrastructureProject extends TypeScriptProject {
    /**
     * Path to the openapi specification
     * @private
     */
    private readonly specPath;
    /**
     * The generated typescript types
     * @private
     */
    private readonly generatedTypescriptTypes;
    constructor(options: GeneratedTypescriptCdkInfrastructureProjectOptions);
    buildGenerateCommand: () => import("../../components/utils").CommandDetails;
}
